%define lib_major 4
%define short_name nautilus-burn 
%define lib_name %mklibname nautilus-burn %{lib_major}
%define develname %mklibname -d nautilus-burn

Summary: CD Burner extension for Nautilus
Name: nautilus-cd-burner
Version: 2.20.0
Release: %mkrel 1
License: GPL/LGPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# gw use cdrkit instead of cdrecord/mkisofs
Patch: nautilus-cd-burner-2.17.6-cdrkit.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: nautilus-devel >= 2.15.4
%if %mdkversion > 200600
BuildRequires: hal-devel >= 0.5.6
%endif
BuildRequires: automake1.9
BuildRequires: perl-XML-Parser
BuildRequires: intltool >= 0.35.0
BuildRequires: desktop-file-utils
BuildRequires: gnome-mount
BuildRequires: libgcrypt-devel
Requires: cdrkit
Requires: dvd+rw-tools
Requires: nautilus
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
nautilus-cd-burner is an extension to Nautilus that makes it easy to
write files to a CD burner.

The user uses Nautilus or another gnome-vfs aware app to copy the
files he wants to write to burn:///, and then nautilus-cd-burner is
launched in some way to write the files to the CD.

%package -n %{lib_name}
Summary:        Libraries for Nautilus CD Burner
Group:          System/Libraries

%description -n %{lib_name}
This package contains libraries used by Nautilus CD Burner.

%package -n %develname
Summary:        Libraries and include files for developing nautilus cd burner component
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}
provides:	lib%{name}-devel = %{version}
Provides:	%{short_name}-devel = %{version}
Provides:	lib%{short_name}-devel = %{version}
Conflicts:	%{_lib}%{short_name}0-devel
Conflicts:	%{_lib}%{short_name}2-devel
Obsoletes: %mklibname -d nautilus-burn 4

%description -n %develname
This package provides the necessary development libraries and include 
files to allow you to develop nautilus components.


%prep
%setup -q
%patch -p1 -b .cdrkit

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}):command="%{_bindir}/nautilus-cd-burner" \
needs="x11" section="System/Archiving/CD Burning" \
title="Nautilus CD Burning" \
longtitle="Nautilus CD Burning tool" icon="%{_datadir}/nautilus-cd-burner/cdspin1.png" \
startup_notify="true" \
mimetypes="application/x-cd-image" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%update_desktop_database
%update_menus
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %name

%postun
%{clean_menus}
%clean_desktop_database
%clean_icon_cache hicolor

%post -n %{lib_name} -p /sbin/ldconfig 

%postun -n %{lib_name} -p /sbin/ldconfig 

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS 
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/*
%{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas
%{_bindir}/*
%{_libdir}/nautilus/extensions-1.0/*
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_libexecdir}/mapping-daemon
%{_datadir}/nautilus-cd-burner
%{_datadir}/applications/*.desktop
%_datadir/icons/hicolor/*/apps/%name.*
%{_menudir}/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.%{lib_major}*

%files -n %develname
%defattr(-, root, root)
%doc ChangeLog
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89349
- new version
- new devel name

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56959
- fix buildrequires
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.1-3mdv2008.0
+ Revision: 36226
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32374
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14376
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142050
- new version
- readd changelog

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.8-1mdv2007.1
+ Revision: 126156
- new version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 2.17.7-2mdv2007.1
+ Revision: 120780
- bump
- new version

* Tue Feb 06 2007 Götz Waschk <waschk@mandriva.org> 2.17.6-2mdv2007.1
+ Revision: 116845
- update patch 0, replacing calls to readcd by readom
- drop useless patch 1

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2007.1
+ Revision: 112011
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106296
- new version

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.4-2mdv2007.1
+ Revision: 105246
- use cdrkit

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 99122
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 90786
- new version
- bot rebuild

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 87643
- fix buildrequires
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86308
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63819
- rebuild
- unpack patches
- Import nautilus-cd-burner

* Tue Oct 10 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
- buildrequires gnome-mount
- drop patch 0
- New version 2.16.1

* Sun Oct 01 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.0
- fix bug #25755 (slow startup of nautilus-cd-burner)

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.7-1mdv2007.0
- New release 2.15.7

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.0
- New release 2.15.6

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1
- New release 2.15.5

* Fri Jul 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-3mdv2007.0
- Fix xdg menu category

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild with latest libgail

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- bump deps
- New release 2.15.4

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-2mdv2007.0
- fix major

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- drop patches 4,6
- New release 2.15.3

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2
- Regenerate patches 3, 4
- Remove patch2 (no longer needed)

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Sat May 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-2mdk
- Enable hal support for cooker

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Remove patch5 (merged upstream)
- Disable hal support until 0.5.6 is available
- add conflicts to ease upgrade

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-2mdk
- Fortify preun script

* Tue Feb 07 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- drop merged patch 7
- New release 2.12.3

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-4mdk
- Rebuild with latest dbus
- use mkrel

* Tue Dec 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-3mdk
- Patch7: fix audio CD detection with non-MMC drive and hal disabled

* Thu Dec 01 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- BR hal-devel >= 0.5 is only supported for distrib > 2006.0

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Thu Oct 27 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-4mdk
- enable hal

* Wed Oct 12 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.12.1-3mdk
- add BuildRequires: intltool

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Rebuild

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Regenerate patch2 (gotz)
- Patch5: only build hal support if version >= 0.5.x
- Patch6 (Fedora): fix build with latest gcc

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-5mdk
- rebuild to remove glitz dep

* Wed Aug 24 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.10.2-4mdk
- varargs fixes

* Fri Aug 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-3mdk 
- Patch3 : enable burnproof by default

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-2mdk 
- always requires dvd+rw-tools

* Fri Jun 24 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- remove patch3 (merged upstream)

* Sat Apr 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.7-2mdk 
- Patch3 (CVS): fix freeze when trying to use utf8 for mkisofs (Mdk bug #15147)

* Tue Feb 15 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.7-1mdk
- New release 2.8.7

* Fri Jan 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.8.6-2mdk
- rebuild for new howl

* Tue Dec 07 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.6-1mdk
- New release 2.8.6

* Sun Nov 21 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.5-2mdk
- add BuildRequires: perl-XML-Parser

* Tue Nov 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.5-1mdk
- New release 2.8.5

* Tue Oct 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.4-1mdk
- New release 2.8.4
- Remove patches 0, 1, 3, 4 (merged upstream)

* Sat Sep 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-6mdk
- Patch4 (CVS): various bug fixes
- Fix mime association, so double-clicking on iso image launch ncb

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-5mdk
- Patch3 (CVS): fix devfs detection

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-4mdk
- Patch2: use nautilus in browser mode
- Fix menu

* Fri Jul 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-3mdk
- Patch1 : fix i18n in nautilus extension

* Tue Jun 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix automake call
- reenable libtoolize
- rebuild for new g++

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix source location
- New release 2.6.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- patch to fix library linkage
- fix file list
- don't libtoolize
- drop patch0 (merged upstream)

